> # NAME

> cgGLUnbindProgram - unbinds the program bound in a profile

> # SYNOPSIS

>       #include <Cg/cgGL.h>

>       void cgGLUnbindProgram( CGprofile profile );

> # PARAMETERS

> profile

>   The profile from which to unbind any bound program.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgGLUnbindProgram unbinds the program which is bound in the profile specified by profile. It also resets the texture state back to the state it was in at the point cgGLBindProgram was first called with a program in the given profile.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_PROFILE_ERROR is generated if profile is not a supported OpenGL profile.

> # HISTORY

> cgGLUnbindProgram was introduced in Cg 1.2.

> # SEE ALSO

> cgGLSetManageTextureParameters, cgGLBindProgram